#include "AST.h"


ExprNode *TypeNode::defaultInitExpr( const SourcePosn &where ) const
{
  assert( isReference() );
  return new NullPntrNode( where );
}


////////////////////////////////////////////////////////////////////////


ExprNode *PrimitiveTypeNode::defaultInitExpr( const SourcePosn &where ) const
{
  return new LitNode( defaultInitLiteral(), where );
}


Literal PrimitiveTypeNode::defaultInitLiteral() const
{
  return Literal( (int32) 0 );
}


Literal BoolTypeNode::defaultInitLiteral() const
{
  return Literal( false );
}
