#ifndef _INCLUDE_FILE_64_H_
#define _INCLUDE_FILE_64_H_

/* these get us 64-bit file declarations under several Unixen */
#define _LARGEFILE64_SOURCE 1
#define _LARGEFILE_SOURCE 1

#include "config.h"
#include <fcntl.h>
#include <unistd.h>
#include "linkage.h"


#ifdef HAVE_LLSEEK
# define lseek64 llseek
# ifdef __GLIBC__
/* glibc seems to be missing this declaration */
EXTERN_C loff_t llseek (int, loff_t, int);
# endif /* __GLIBC__ */
# define open64 open
#else /* !HAVE_LLSEEK */
# if !(defined(HAVE_LSEEK64) && defined(HAVE_OPEN64))
#  define lseek64 lseek
#  define open64 open
# endif /* !(HAVE_LSEEK64 && HAVE_OPEN64) */
#endif /* !HAVE_LLSEEK */

#ifndef O_LARGEFILE
# define O_LARGEFILE 0
#endif /* !O_LARGEFILE */


#endif /* _INCLUDE_FILE_64_H_ */
