#ifndef __REGION_STRUCT
#define __REGION_STRUCT


typedef unsigned long uint32;


struct cl_ti_lang_Region_desc;
struct page;
struct titanium_monitor_t;

struct ablock {
  char *base;
  uint32 allocfrom;
};

struct allocator {
  struct ablock page;
  struct ablock superpage;
  struct ablock hyperpage;
  struct page *pages;
  struct page *bigpages;
};

typedef struct cl_ti_lang_Region {
  struct cl_ti_lang_Region_desc *class_info;
  void (**intf_info)();
  struct titanium_monitor_t *monitor;
  long rc;
  struct allocator normal;
  struct allocator atomic;
  uint32 id;
  struct cl_ti_lang_Region *previous;
  struct cl_ti_lang_Region *next;
} cl_ti_lang_Region;


#endif /* !__REGION_STRUCT */
