#ifndef _INCLUDE_NameContext_H_
#define _INCLUDE_NameContext_H_


class TreeNode;
class Environ;


class TreeNode::NameContext // The static analysis context for resolveName
{
public:
  NameContext() : env(NULL), currentClass(NULL), thisLocal(false), inLoop(NULL),
    breakOK(NULL), resolveAsObject(true), partitionEnv(NULL) { }
  NameContext(NameContext *old) { *this = *old; }
  NameContext(NameContext *old, Environ *newEnv) { *this = *old; env = newEnv; }
  Environ *env;
  Decl *currentPackage;
  TypeNode *currentClass;
  bool thisLocal;
  TreeNode *inLoop;
  TreeNode *breakOK;
  bool resolveAsObject;
  Environ *partitionEnv;
};


#endif
