#include "AST.h"
#include "domain-decls.h"


const bool PointArrayAccessNode::isLocalLvalue()
{
  return true;
}


const bool PointArrayAccessNode::isSimpleLvalue()
{
  return true;
}


const string PointArrayAccessNode::emitExpression2( CodeContext &context )
{
  const string arrayExpr = array()->simpleVar( context );
  const string indexExpr = index()->emitExpression( context );

  return PointNDecl[ array()->type()->tiArity() - 1 ]->cType().name
      + "_mt_getPrevious_jint(" + arrayExpr + ", " + indexExpr + ')';
}
