#ifndef _include_smp_shared_threads_h_
#define _include_smp_shared_threads_h_

#include <synch.h>
#include <thread.h>


#define TI_MUTEX_INIT DEFAULTMUTEX

typedef cond_t   ti_cond_t;
typedef mutex_t  ti_mutex_t;
typedef thread_t ti_thread_t;

#define ti_cond_broadcast        cond_broadcast
#define ti_cond_destroy          cond_destroy
#define ti_cond_init(cond)       cond_init((cond), USYNC_THREAD, 0)
#define ti_cond_signal           cond_signal
#define ti_cond_timedwait        cond_timedwait
#define ti_cond_wait             cond_wait
#define ti_mutex_destroy         mutex_destroy
#define ti_mutex_init(mutex)     mutex_init((mutex), USYNC_THREAD, 0)
#define ti_mutex_lock            mutex_lock
#define ti_mutex_unlock          mutex_unlock
#define ti_thread_equal(t1, t2)  ((t1) == (t2))
#define ti_thread_self           thr_self


#endif /* !_include_smp_shared_threads_h_ */
