#include <errno.h>
#include <fcntl.h>
#include "cl_java_io_FileDescriptor.h"
#include "layout!GP_jint.h"
#include "native-utils.h"


GP_cl_java_io_FileDescriptor
cl_java_io_FileDescriptor_mt_initSystemFD_GP_cl_java_io_FileDescriptor_jint(
    GP_cl_java_io_FileDescriptor fdObj, jint desc )
{
  CHECK_NULL_GLOBAL( fdObj );
  {
    GP_jint field;
    FIELD_ADDR_GLOBAL( field, fdObj, cl_java_io_FileDescriptor_fld_fd );
    ASSIGN_GLOBAL( field, desc );
    return fdObj;
  }
}


jboolean cl_java_io_FileDescriptor_mt_valid_G(
    GP_cl_java_io_FileDescriptor me )
{
  CHECK_NULL_GLOBAL( me );
  {
    GP_jint field;
    jint fd;
    
    FIELD_ADDR_GLOBAL( field, me, cl_java_io_FileDescriptor_fld_fd );
    DEREF_GLOBAL( fd, field );
    
    fcntl( fd, F_GETFL );    
    return errno != EBADF;
  }
}
