#include "TI_GLOBAL_ARR_jint_1.h"
#include "domains.h"
#include "cl_ti_domains_tiRectDomain1.h"
#include "cl_ti_domains_tiRectDomain2.h"
#include "cl_ti_domains_tiRectDomain3.h"
#include "layout!GP_LP_cl_ti_domains_tiDomain1_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiDomain2_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiDomain3_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiRectDomainList1_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiRectDomainList2_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiRectDomainList3_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiRectDomainListIterator1_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiRectDomainListIterator2_desc.h"
#include "layout!GP_LP_cl_ti_domains_tiRectDomainListIterator3_desc.h"
#include "layout!GP_cl_ti_domains_tiRectDomainList1.h"
#include "layout!GP_cl_ti_domains_tiRectDomainList2.h"
#include "layout!GP_cl_ti_domains_tiRectDomainList3.h"
#include "layout!GP_cl_ti_domains_tiRectDomainListIterator1.h"
#include "layout!GP_cl_ti_domains_tiRectDomainListIterator2.h"
#include "layout!GP_cl_ti_domains_tiRectDomainListIterator3.h"
#include "layout!cl_ti_domains_tiDomain1.h"
#include "layout!cl_ti_domains_tiDomain1_desc.h"
#include "layout!cl_ti_domains_tiDomain2.h"
#include "layout!cl_ti_domains_tiDomain2_desc.h"
#include "layout!cl_ti_domains_tiDomain3.h"
#include "layout!cl_ti_domains_tiDomain3_desc.h"
#include "layout!cl_ti_domains_tiRectDomainList1.h"
#include "layout!cl_ti_domains_tiRectDomainList1_desc.h"
#include "layout!cl_ti_domains_tiRectDomainList2.h"
#include "layout!cl_ti_domains_tiRectDomainList2_desc.h"
#include "layout!cl_ti_domains_tiRectDomainList3.h"
#include "layout!cl_ti_domains_tiRectDomainList3_desc.h"
#include "layout!cl_ti_domains_tiRectDomainListIterator1.h"
#include "layout!cl_ti_domains_tiRectDomainListIterator1_desc.h"
#include "layout!cl_ti_domains_tiRectDomainListIterator2.h"
#include "layout!cl_ti_domains_tiRectDomainListIterator2_desc.h"
#include "layout!cl_ti_domains_tiRectDomainListIterator3.h"
#include "layout!cl_ti_domains_tiRectDomainListIterator3_desc.h"
#include "main.h"
#include "native-stubs.h"
#include <stdarg.h>
#include <titanium.h>


jint cl_ti_lang_Ti_mt_thisProc()
{
    return MYPROC;
}

jint cl_ti_lang_Ti_mt_numProcs()
{
    return PROCS;
}

TI_ARR_jint_1 cl_ti_lang_Ti_mt_myTeam(void)
{
  jint i;
  TI_ARR_jint_1 x;
  P1 zero, one, procs;

  cl_ti_domains_tiPoint1_construct(zero, 0);
  cl_ti_domains_tiPoint1_construct(one, 1);
  cl_ti_domains_tiPoint1_construct(procs, PROCS);

  x = _ti_CONSTRUCT(jint, 1)("(myTeam)", NULL, cl_ti_domains_tiRectDomain1_mt_tiRectDomain1_cl_ti_domains_tiPoint1_cl_ti_domains_tiPoint1_cl_ti_domains_tiPoint1(zero, procs, one));
  for (i = 0; i < PROCS; i++) ASSIGN_LOCAL(x.A + i, i);
  return x;
}

#define shortcut( type, arity )  GP_cl_ti_domains_ti ## type ## arity
#define D(n)    shortcut( Domain, n )
#define RDL(n)  shortcut( RectDomainList, n )
#define RDLI(n) shortcut( RectDomainListIterator, n )

#define POINT_PRINT(N, p, f)						\
do {									\
  jint _i;								\
  fprintf(f, "[");							\
  for (_i = 1; _i <= N; _i++)						\
    fprintf(f, (_i > 1) ? ", %d" : "%d",				\
	    cl_ti_domains_tiPoint ## N ## _mt_getPrevious_jint(p, _i));	\
  fprintf(f, "]");							\
} while (0)


#define define_printN(N)										\
int trivialStride ## N (RD ## N R)									\
{													\
  cl_ti_domains_tiPoint ## N p = cl_ti_domains_tiRectDomain ## N ## _mt_getLoopingStride(R);		\
  jint _i;												\
  for (_i = 1; _i <= N; _i++)										\
    if (cl_ti_domains_tiPoint ## N ## _mt_getPrevious_jint(p, _i) >= 2)					\
      return 0;												\
  return 1;												\
}													\
													\
void printrd ## N (RD ## N R)										\
{													\
  fputs("[", stderr);											\
  POINT_PRINT(N, cl_ti_domains_tiRectDomain ## N ## _mt_getLowerBound(R), stderr);			\
  fputs(" : ", stderr);											\
  POINT_PRINT(N, cl_ti_domains_tiRectDomain ## N ## _mt_getUpperBound(R), stderr);			\
  if (!trivialStride ## N (R)) {									\
    fputs(" : ", stderr);										\
    POINT_PRINT(N, cl_ti_domains_tiRectDomain ## N ## _mt_getLoopingStride(R), stderr);			\
  }													\
  fputs("]\n", stderr);											\
}													\
													\
void printp ## N (cl_ti_domains_tiPoint ## N p)								\
{													\
  POINT_PRINT(N, p, stderr);										\
  fputc('\n', stderr);											\
}													\
													\
void printd ## N (D(N) f0_d)										\
{													\
  int i = 0;												\
  RDL(N) f0_mdl;											\
  RDLI(N) f0_d_iter;											\
  jboolean f0_iter_cont;										\
  cl_ti_domains_tiDomain ## N ## _desc *domain_desc;							\
  cl_ti_domains_tiRectDomainList ## N ## _desc *list_desc;						\
  cl_ti_domains_tiRectDomainListIterator ## N ## _desc *iter_desc;					\
													\
  CLASS_INFO_GLOBAL(domain_desc, cl_ti_domains_tiDomain ## N ## _desc, f0_d);				\
  CLASS_INFO_GLOBAL(list_desc, cl_ti_domains_tiRectDomainList ## N ## _desc, f0_mdl);			\
  CLASS_INFO_GLOBAL(iter_desc, cl_ti_domains_tiRectDomainListIterator ## N ## _desc, f0_d_iter);	\
													\
  f0_mdl = domain_desc->_mt_getRectangles_G(f0_d);							\
  f0_d_iter = list_desc->_mt_newIterator_G(f0_mdl);							\
  do {													\
    f0_iter_cont = !iter_desc->_mt_isEnd_G(f0_d_iter);							\
    if (f0_iter_cont) {											\
      RD ## N f0_curr_rect;										\
      f0_curr_rect = iter_desc->_mt_dereference_G(f0_d_iter);						\
													\
      fputs((i++ == 0 ? "   " : " + "), stderr);							\
      printrd ## N (f0_curr_rect);									\
													\
      iter_desc->_mt_advance_G(f0_d_iter);								\
    }													\
  } while (f0_iter_cont);										\
}

define_printN(1)
define_printN(2)
define_printN(3)

typedef void (voidfn)(); 

/* This is for dumping arrays.  The first thing in the array is
assumed to be a pointer to a function that dumps the array. */
void dump(voidfn **f)
{
  (*((void (*)(voidfn **, char *, char *)) *f))(f, NULL, NULL);
}

void dump2(char *dest, voidfn **f)
{
  (*((void (*)(voidfn **, char *, char *)) *f))(f, dest, NULL);
}

/*
  dest = va_arg(args, char *);
  if (dest != NULL) {
    while ((q = va_arg(args, char *)) != NULL)
      strcat(buf, q);
  } */
  

static volatile jint bcastIntVal;
static volatile jdouble bcastDoubleVal;
static volatile jboolean bcastBoolVal;
static GP_cl_java_lang_Object volatile bcastObjVal;
static volatile cl_ti_domains_tiRectDomain3 bcastRD3;

void cl_ti_lang_Ti_mt_barrier()
{
    barrier();
}
