#ifndef _INCLUDE_TITANIUM_STRING16_H_
#define _INCLUDE_TITANIUM_STRING16_H_

#include "config.h"

#include <string>
#include "literal.h"		// for uint16

#ifdef HAVE_STD_BASTRING_CC
#include <std/bastring.cc>
#endif

typedef basic_string <uint16, string_char_traits<uint16> > string16;


// For human- readable presentations, use the "<<" operator instead.
// These representations may be fed into a C compiler, but are not as
// good for human viewing.

void printEscaped( ostream &, uint16 );
void printEscaped( ostream &, const string16 & );

#endif
