package ti.domains;

//
// Utility routines to help support tiPointN hackery.
//
// Right now, these routines consist of toString() methods.  String
// concatenation actually leads to some fairly complex generated C
// code.  Thus, it is much easier to write these methods in Titanium
// and let the compiler take care of the rest.
//

class PointUtils {
    
    static String local toString( Point<1> point )
    {
	return "[" + point[1] + ']';
    }

    static String local toString( Point<2> point )
    {
	return "[" + point[1] + ',' + point[2] + ']';
    }

    static String local toString( Point<3> point )
    {
	return "[" + point[1] + ',' + point[2] + ',' + point[3] + ']';
    }
}
